//#####################################################################
// Copyright 2021.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################

#include <Core/Arrays/ARRAY.h>
#include <Core/Vectors/VECTOR.h>
#include <iostream>
#include <string>

using namespace PhysBAM;

// Implement this printing function.
template<class... Args>
void Print(Args&&... args)
{
    // print each argument (using std::cout), separated by spaces, ending with a
    // newline.
}

int main(int argc, char* argv[])
{
    Print(3);
    Print(); // prints just a newline

    VECTOR<double,3> v(2,3,5);
    Print('a',4,5L,"cat",v);

    Print(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);

    ARRAY<int> a={0,1,2,8,8,8};
    Print(a,a,"zoo",a);

    std::string s="fun";
    Print("lots","of",s);

    return 0;
}

